complexType "RelatedBusinessUnit"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 2 elements
Defined: | globally in fpml-shared-5-5.xsd; see XML source
Includes: | definitions of 2 elements
Used: | never

Content Model Diagram

XML Representation Summary
<...>
Content: | businessUnitReference, role
</...>

Content Model Elements (2):

  businessUnitReference (defined in RelatedBusinessUnit complexType),
  role (defined in RelatedBusinessUnit complexType)

XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="RelatedBusinessUnit"> <xsd:sequence> <!-- <xsd:choice> --> <xsd:element name="businessUnitReference" type="BusinessUnitReference"/> <!-- <xsd:sequence> <xsd:element name="businessUnitId" type="Unit" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">The unit that is related to this.</xsd:documentation> </xsd:annotation> </xsd:element> <xsd:element name="country" type="CountryCode" minOccurs="0"> <xsd:annotation> <xsd:documentation xml:lang="en">The location that the unit does business.</xsd:documentation> </xsd:annotation> </xsd:element> </xsd:sequence> </xsd:choice> --> <xsd:element name="role" type="BusinessUnitRole"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/2)
businessUnitReference

  Type: | BusinessUnitReference, empty content

  The unit that is related to this.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="businessUnitReference" type="BusinessUnitReference"/>

role

  Type: | BusinessUnitRole, simple content

  The category of the relationship. The related unit performs the role specified in this field for the base party. For example, if the role is "Trader", the related unit acts acts or acted as the base party's trading unit.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="role" type="BusinessUnitRole"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.